This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 464804 - Review Request: hunspell-fy - Frisian hunspell dictionary
Review Request: hunspell-fy - Frisian hunspell dictionary
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-30 11:36 EDT by Caolan McNamara
Modified: 2008-10-01 18:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 18:18:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2008-09-30 11:36:14 EDT
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-fy.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-fy-2.0.0-1.fc9.src.rpm
Description: Frisian hunspell dictionary
Comment 1 Parag AN(पराग) 2008-10-01 00:51:17 EDT
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=853580
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
49e592658529af2c9b67a24b817453da  frysk_wurdboek-2.0.0-fx+tb+sm.xpi
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

Suggestions:-
  I am not sure about license of this package. Also not sure how to read this language/convert to English. Link given in fy.dic points to LGPLv3+ but in fy.dic it stated only as LGPL.
Comment 2 Caolan McNamara 2008-10-01 03:41:25 EDT
I tried to follow our own documents on this, i.e. 
http://fedoraproject.org/wiki/Licensing/FAQ
and 
http://fedoraproject.org/wiki/Licensing#Frequently_Asked_Questions

"1. What does the code say? If it specifies a version, that's what it is."

and it doesn't :-)

"2. Does the code conflict with itself? (file1.c and file2.c are compiled together but have different licensing)"

nope

"3. What does the documentation say? ... NOTE: COPYING does not count as documentation, since the author(s) didn't write it"

Just a link in this case to the GNU LGPL page, which always has the latest version available on it.

"4. If neither the source, nor the upstream composed documentation says anything about the license version, then it could be under _ANY_ version of the GPL. The version listed in COPYING is irrelevant from this perspective. Technically it could be under any license, but if all we have to go by is COPYING, we'll guess COPYING is accurate. "

and from the other page we have...

"A GPL or LGPL licensed package that lacks any statement of what version that it's licensed under in the source code/program output/accompanying docs is technically licensed under *any* version of the GPL or LGPL, not just the version in whatever COPYING file they include. Note that this is LGPLv2+, not LGPL+, because version 2 was the first version of LGPL."

So I followed the logic of 4. and that other snippet of "it is under any LGPL license because it the source and documentation don't specify an exact LGPL version" which gave me a output tag of "LGPLv2+ "
Comment 3 Parag AN(पराग) 2008-10-01 03:49:48 EDT
Ok. Thanks.
APPROVED.
Comment 4 Caolan McNamara 2008-10-01 06:03:55 EDT
New Package CVS Request
=======================
Package Name: hunspell-fy
Short Description: Frisian hunspell dictionary
Owners: caolanm
Branches: 
InitialCC:
Comment 5 Kevin Fenzi 2008-10-01 15:07:44 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.